:root {
  /* Bachground Colors */
  --custom-purple: linear-gradient(
    to right,
    rgb(135, 25, 238),
    rgba(159, 86, 228, 0.5)
  );

  --custom-grey: linear-gradient(
    to top,
    rgb(58, 57, 57),
    rgb(143, 138, 138, 0.5)
  );

  /* Font Sizes */
  --large-font-headings: 60px;
  --Medium-font-subheadings: 30px;
  --medium-font: 24px;
  --small-medium-font: 20px;
  --small-font: 14px;

  /* categories */
  --custom-grey: linear-gradient(
    to top,
    rgb(58, 57, 57),
    rgb(143, 138, 138, 0.5)
  );

  --category-on-hover: rgb(177, 175, 175);

  --general-font-family: ui-sans-serif, system-ui, sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", Segoe UI Symbol, "Noto Color Emoji";

  --custom-black-2-8-23: rgb(2, 8, 23);
  --custom-grey-100-116-139: rgb(100, 116, 139);
  --custom-white-248-250-252: rgb(248, 250, 252);

  --custom-border: 0.8px solid rgb(226, 232, 240);
}

.ht {
  height: 200px;
  background: linear-gradient(to top, rgb(58, 57, 57), rgb(143, 138, 138, 0.5));
}

/* Global Classes */
.remove-margins-paddings {
  margin: 0;
  padding: 0;
}

/* Products Page */

.products-filter-menu-categories {
  margin-top: 40px;
  display: flex;
  gap: 20px;
}

.filter-category {
  flex: 1;
}

.menu-products {
  flex: 3;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Categories Page */

#categories-section {
  padding: 0 32px;
}

.categories-heading {
  font-family: var(--category-font-family);
  color: rgb(2, 8, 23);
  font-size: 30px;
}

.all-categories {
  display: grid;
  gap: 25px;
  grid-template-columns: 1fr 1fr 1fr;
}

.category-button {
  all: unset;
  background: var(--custom-grey);
  aspect-ratio: 1.5/1;
  border-radius: 6px;
  cursor: pointer;
}

.category-button:hover {
  background-color: var(--category-on-hover);
}

.heading-price {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  justify-content: center;
}

.category-heading {
  color: white;
  cursor: pointer;
  font-size: 24px;
  font-weight: 700;
  font-family: var(--category-font-family);
  margin: 0;
  padding: 0;
}

.category-paragraph {
  color: white;
  font-size: 14px;
  font-family: var(--category-font-family);
  cursor: pointer;
  margin: 0;
  padding: 0;
}

@media (max-width: 768px) {
  .products-filter-menu-categories {
    flex-direction: column;
  }
}

@media (max-width: 640px) {
  #products-list {
    grid-template-columns: 1fr 1fr;
  }
  .all-categories {
    grid-template-columns: 1fr;
  }
}

/* Empty Cart */

#empty-cart-section {
  padding: 20px;
  font-family: var(--general-font-family);
}

.center-container {
  height: 400px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.empty-cart-title {
  color: var(--custom-black-2-8-23);
  font-size: var(--medium-font);
  font-weight: 700;
}

.empty-cart-subtitle {
  color: var(--custom-black-2-8-23);
  font-size: var(--small-medium-font);
  font-weight: 700;
}

.empty-cart-paragraph {
  color: var(--custom-grey-100-116-139);
}

.empty-cart-content {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
}

.button-like {
  padding: 8px 16px;
  background-color: rgb(124, 59, 237);
  border-radius: 6px;
  font-size: var(--small-font);
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--custom-white-248-250-252);
  font-weight: 500;
  text-decoration: none;
}

/* Full Cart */

#full-cart-section {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  gap: 25px;
}

.cart-products-div {
  border: var(--custom-border);
  border-radius: 8px;
  height: 200px;
  grid-column: span 4;
}

.order-summary-div {
  border: var(--custom-border);
  border-radius: 8px;
  height: 100px;
  grid-column: span 2;
}
